import { AxiosInstance, AxiosResponse, Canceler } from 'axios';
declare global {
    interface Promise<T> {
        abort?: Canceler;
    }
}
declare class Ajax {
    instance: AxiosInstance;
    longTimeInstance: AxiosInstance;
    codeErrorCb?: (errorCode: number, msg: string) => void;
    constructor(baseURL: string);
    get(url: string, data?: {}, header?: {}): Promise<any>;
    onCodeError(cb: (errorCode: number, msg: string) => void): void;
    downblob(url: string, data?: {}): Promise<unknown>;
    post(url: string, data?: {}, headers?: {}, islong?: boolean): Promise<any>;
    dispose(res: AxiosResponse | {
        status: 200;
        data: any;
    }): Promise<any>;
    error(err: any): Promise<never> | undefined;
}
export default Ajax;
