import { MqttClient } from 'mqtt';
interface Topics {
    [topic: string]: number[];
}
export interface MqttMiddlewareOption {
    regExp: RegExp;
    method(data: any, topic: string, regExp: RegExp): any;
}
export interface Mqttoptions {
    route: string | number;
    project: string | number;
    userId: number;
    middlewares?: MqttMiddlewareOption[];
}
declare class MqttMain {
    client: MqttClient | null;
    isClose: boolean;
    status: ff.MqttStatus;
    accesskey: string;
    secretKey: string;
    instanceId: string;
    serverUrl: string;
    label: string;
    route: string | number;
    project: string | number;
    projectTopicPrefix: string;
    commonPrefix: string;
    userId: number;
    middleware: MqttMiddlewareOption[];
    topics: Topics;
    constructor();
    connect(options: Mqttoptions): void;
    localPublish(topic: string, message?: any): void;
    statusChange(): void;
    sortingMessages(topic: string, msg: any, isLocal?: boolean): Promise<void>;
    close(): void;
    subscribes(topics: string[], webContentId: number): void;
    unsubscribes(topics: string[], webContentId: number): void;
    publish(topic: string, message: any): void;
}
export default MqttMain;
