/// <reference path="../../types.d.ts" />
import util, { MezzFileType, MqttStatus, LiveActionType } from '../common/util';
import Ajax from '../common/ajax';
import { AxiosRequestConfig, AxiosStatic, Canceler as C } from 'axios';
import NameSplit from './src/name-split';
import error from '../common/error';
import DateTime from './src/date-time';
import ContactInfo from './src/contactInfo';
import CountryClass, { Country as Co, CountryBase as CB } from './src/country';
/**
 * @desc 渲染进程全局变量
 * @author 黄敏
 * @创建时间 2022-08-02 15:15
 **/
type ValueOf<T> = T[keyof T];
declare global {
    namespace Axios {
        type Canceler = C;
        type RequestConfig = AxiosRequestConfig;
    }
    namespace ff {
        type MezzFileType = ValueOf<typeof MezzFileType>;
        type MqttStatus = ValueOf<typeof MqttStatus>;
        type LiveActionType = ValueOf<typeof LiveActionType>;
        namespace country {
            type CountryBase = CB;
            type Country = Co;
        }
    }
}
declare global {
    var extensions: Crawler.Extension[];
    var ff: Readonly<{
        MezzFileType: typeof MezzFileType;
        MqttStatus: typeof MqttStatus;
        LiveActionType: typeof LiveActionType;
        Ajax: typeof Ajax;
        util: typeof util;
        error: typeof error;
        axios: AxiosStatic;
        nameSplit: NameSplit;
        dateTime: typeof DateTime;
        contactInfo: typeof ContactInfo;
        country: CountryClass;
    }>;
}
export {};
