/**
 * Created by huangmin on 2017/4/26 0026.
 *
 * 时间类,
 *
 */
type DataParam = number | string | Date;
declare class DateTime {
    static monthOptions: {
        name: string;
        abbr: string;
        month: 0 | f2.Month;
    }[];
    static createDate(d: DataParam): Date;
    static getHm(d: DataParam, format?: string): string;
    static zeroFill(num: number): string;
    static getDate(d: DataParam, format?: string): string;
    static getDateTime(d: DataParam, format?: string): string;
    static getWeek(d: DataParam): string;
    static getDateTimeArray(d: DataParam): number[];
    static getDateArray(d: DataParam): number[];
    static getAge(d: DataParam): number;
    static getdaytimestamp(d: DataParam): number;
    static getTodayTimetamps(): number[];
    static getmonthTimes(): number[];
    static getMonthDays(month: number, year?: number): {
        day: number;
        label: number | string;
    }[];
    static lang(): any;
    /**
     * @param {Object} date 倒计日
     * @returns {Number} 剩余天数，负数表示过期天数
     */
    static pourMeterDay(d: DataParam, startTime?: number): number;
    /**
     * @param {Object} date 日期对象
     * @param {String} lang 语言 en|cn
     * @param {Bollean} 可选 noVerb 没有动词 去除 前/后 动词
     * @return {String} 相对时间字符串
     */
    static getRelativeTime(d: DataParam, lang?: 'cn' | 'en', noVerb?: boolean): string;
    /**
     * 传入秒，转成更直观的时间，如1分5秒，2时20分18秒，1天4时1分43秒等
     * @param second 秒
     * @param lang 语言 en|cn
     * @returns {String} 相对时间字符串
     */
    static getIntuitiveTime(second: number, lang?: 'cn' | 'en'): string;
    static getEnDate(birthData: {
        month?: f2.Month | 0;
        day?: number;
        year?: number;
    }, shorthand?: boolean): string;
    static getAfterDay(day?: number): number;
    static getTimeInTimeZone(timeZone: number): (string | number)[];
}
export default DateTime;
