export default class NameSplit {
    name: string;
    countryId: number;
    len: number;
    /**
     * @param {string} name 名字
     * @param {number} countryId 国家ID，部分俄语国家可以根据名字区分性别
     * */
    getNames(name: string, countryId?: number): Crawler.ContactsName;
    get lang(): "" | "en" | "cn" | "ru";
    get namearr(): string[];
    splitZhName(): {
        first_name: string;
        last_name: string;
    };
    splitRuName(): {
        first_name: string;
        last_name: string;
        gender: number;
    };
    splitName(): {
        first_name: string;
        last_name: string;
    };
    /**
     * 获取名字可选项
     * @param {string} name 当前input中的名字
     * @param {0 | 1} type  //0:first_name 1:last_name
     * */
    selectArr(name: string, type: 0 | 1): string[] | undefined;
}
